Subject: Re: [PATCH 2/2] MAINTAINERS: Mark VMware mailing list entries as private

From: "Srivatsa S. Bhat" <[email-masked]>
Date: Wed, 10 Nov 2021 11:13:03 -0800

On Wed, Nov 10, 2021 at 05:40:09PM +0000, Nadav Amit wrote:
> 
> 
> > On Nov 10, 2021, at 9:20 AM, Srivatsa S. Bhat <[email-masked]> wrote:
> > 
> > On Tue, Nov 09, 2021 at 01:57:31PM -0800, Joe Perches wrote:
> >> On Tue, 2021-11-09 at 00:58 +0000, Nadav Amit wrote:
> >>>> On Nov 8, 2021, at 4:37 PM, Joe Perches <[email-masked]> wrote:
> >>>> On Mon, 2021-11-08 at 16:22 -0800, Srivatsa S. Bhat wrote:
> >>>> 
> >>>> So it's an exploder not an actual maintainer and it likely isn't
> >>>> publically archived with any normal list mechanism.
> >>>> 
> >>>> So IMO "private" isn't appropriate.  Neither is "L:"
> >>>> Perhaps just mark it as what it is as an "exploder".
> >>>> 
> >>>> Or maybe these blocks should be similar to:
> >>>> 
> >>>> M:	Name of Lead Developer <[email-masked]>
> >>>> M:	VMware <foo> maintainers <linux-<foo>[email-masked]>
> >> 
> >> Maybe adding entries like
> >> 
> >> M:	Named maintainer <[email-masked]>
> >> R:	VMware <foo> reviewers <linux-<foo>[email-masked]>
> >> 
> >> would be best/simplest.
> >> 
> > 
> > Sure, that sounds good to me. I also considered adding "(email alias)"
> > like Juergen suggested, but I think the R: entry is clear enough.
> > Please find the updated patch below.
> > 
> > ---
> > 
> > From f66faa238facf504cfc66325912ce7af8cbf79ec Mon Sep 17 00:00:00 2001
> > From: "Srivatsa S. Bhat (VMware)" <[email-masked]>
> > Date: Mon, 8 Nov 2021 11:46:57 -0800
> > Subject: [PATCH v2 2/2] MAINTAINERS: Mark VMware mailing list entries as email
> > aliases
> > 
> > VMware mailing lists in the MAINTAINERS file are private lists meant
> > for VMware-internal review/notification for patches to the respective
> > subsystems. Anyone can post to these addresses, but there is no public
> > read access like open mailing lists, which makes them more like email
> > aliases instead (to reach out to reviewers).
> > 
> > So update all the VMware mailing list references in the MAINTAINERS
> > file to mark them as such, using "R: [email-masked]".
> > 
> > Signed-off-by: Srivatsa S. Bhat (VMware) <[email-masked]>
> > Cc: Zack Rusin <[email-masked]>
> > Cc: Nadav Amit <[email-masked]>
> > Cc: Vivek Thampi <[email-masked]>
> > Cc: Vishal Bhakta <[email-masked]>
> > Cc: Ronak Doshi <[email-masked]>
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Cc: [email-masked]
> > ---
> > MAINTAINERS | 22 +++++++++++-----------
> > 1 file changed, 11 insertions(+), 11 deletions(-)
> > 
> > diff --git a/MAINTAINERS b/MAINTAINERS
> > index 118cf8170d02..4372d79027e9 100644
> > --- a/MAINTAINERS
> > +++ b/MAINTAINERS
> > @@ -6134,8 +6134,8 @@ T:	git git://anongit.freedesktop.org/drm/drm-misc
> > F:	drivers/gpu/drm/vboxvideo/
> > 
> > DRM DRIVER FOR VMWARE VIRTUAL GPU
> > -M:	"VMware Graphics" <[email-masked]>
> > M:	Zack Rusin <[email-masked]>
> > +R:	VMware Graphics Reviewers <[email-masked]>
> > L:	[email-masked]
> > S:	Supported
> > T:	git git://anongit.freedesktop.org/drm/drm-misc
> > @@ -14189,7 +14189,7 @@ F:	include/uapi/linux/ppdev.h
> > PARAVIRT_OPS INTERFACE
> > M:	Juergen Gross <[email-masked]>
> > M:	Srivatsa S. Bhat (VMware) <[email-masked]>
> > -L:	[email-masked] (private)
> > +R:	VMware PV-Drivers Reviewers <[email-masked]>
> 
> This patch that you just sent seems to go on top of the previous patches
> (as it removes "L: [email-masked] (private)”).
> 

Actually, that's a bit misleading, since I had corrected that entry in
the first patch itself, while adding myself as the maintainer. So
there are still only 2 patches in this series right now.

Thanks for pointing this out! I'll move the VMware list modifications
out of the first patch, to avoid confusion.

> Since the patches were still not merged, I would presume you should squash
> the old 2/2 with this new patch and send v3 of these patches.
> 

I'll send out a v3, and also add Zack Rusin as the maintainer for the
vmmouse sub-driver, since it does not have a named maintainer at the
moment (Zack indicated that he will be taking up the maintainership).

Thank you!

Regards,
Srivatsa